### Type parameters

- #### T

- #### TReturn = any

- #### TNext = undefined

### Hierarchy

- Iterator
  - IterableIterator

## Index

### Methods

- next
- return
- throw

## Methods

### next

- next(...args: [] | [TNext]): IteratorResult<T, TReturn>

- #### Parameters

  - ##### Rest ...args: [] | [TNext]

  #### Returns IteratorResult<T, TReturn>

### Optional return

- return(value?: TReturn): IteratorResult<T, TReturn>

- #### Parameters

  - ##### Optional value: TReturn

  #### Returns IteratorResult<T, TReturn>

### Optional throw

- throw(e?: any): IteratorResult<T, TReturn>

- #### Parameters

  - ##### Optional e: any

  #### Returns IteratorResult<T, TReturn>

Generated using TypeDoc